<?php

namespace Internetgalerie\IgCrmTemplate\Domain\Model;

use TYPO3\CMS\Extbase\Domain\Model\FileReference;
/**
 * Interface for layout/tenant
 */
interface TenantInterface
{
    
    /**
     * Getter for uid.
     *
     * @return int|null The uid or NULL if none set yet.
     */
    public function getUid(): ?int;


    public function getLogo(): ?FileReference;
    
    public function getUseOwnAddressNumber(): bool;

}