CREATE TABLE tx_igcrmtemplate_domain_model_templatetype (
	name varchar(255) NOT NULL DEFAULT '',
	title varchar(255) NOT NULL DEFAULT '',
	type_tablename varchar(255) NOT NULL DEFAULT '',
	main_tag_tablename varchar(255) NOT NULL DEFAULT '',
	sub_tag_tablename varchar(255) NOT NULL DEFAULT '',
	css_file varchar(255) NOT NULL DEFAULT '',
	page_class varchar(255) DEFAULT '' NOT NULL,
	template_filename varchar(255),
);

CREATE TABLE tx_igcrmtemplate_domain_model_templatepagelayout (
	tenant_id int(11) NOT NULL DEFAULT '0',
	name varchar(255) NOT NULL DEFAULT '',
	page_format varchar(255) NOT NULL DEFAULT '',
	page_orientation varchar(255) NOT NULL DEFAULT '',
	page_margin_top varchar(255) NOT NULL DEFAULT '',
	page_margin_right varchar(255) NOT NULL DEFAULT '',
	page_margin_bottom varchar(255) NOT NULL DEFAULT '',
	page_margin_left varchar(255) NOT NULL DEFAULT '',
	page_css_file varchar(255) NOT NULL DEFAULT '',
	page_css text NOT NULL DEFAULT '',
	header_left_partial varchar(255) NOT NULL DEFAULT '',
	header_center_partial varchar(255) NOT NULL DEFAULT '',
	header_right_partial varchar(255) NOT NULL DEFAULT '',
	header_left_template text NOT NULL DEFAULT '',
	header_center_template text NOT NULL DEFAULT '',
	header_right_template text NOT NULL DEFAULT '',
	header_left_content varchar(255) NOT NULL DEFAULT '',
	header_center_content varchar(255) NOT NULL DEFAULT '',
	header_right_content varchar(255) NOT NULL DEFAULT '',
	footer_partial varchar(255) NOT NULL DEFAULT '',
	footer_left_content varchar(255) NOT NULL DEFAULT '',
	footer_center_content varchar(255) NOT NULL DEFAULT '',
	footer_right_content varchar(255) NOT NULL DEFAULT '',
	css_paged_media_margin_boxs int(11) unsigned DEFAULT '0',
	template_type int(11) unsigned DEFAULT '0'
);

CREATE TABLE tx_igcrmtemplate_domain_model_csspagedmediamarginbox (
	templatepagelayout int(11) unsigned DEFAULT '0' NOT NULL,
	position varchar(255) NOT NULL DEFAULT '',
	partial varchar(255) NOT NULL DEFAULT '',
	template text NOT NULL DEFAULT '',
	content varchar(255) NOT NULL DEFAULT '',
	page_css text NOT NULL DEFAULT '',
	element_css text NOT NULL DEFAULT '',
	css text NOT NULL DEFAULT '',
);


#
# Table structure for table 'tx_igcrmtemplate_domain_model_templateletter'
#
CREATE TABLE tx_igcrmtemplate_domain_model_templateletter (
        active smallint(5) unsigned DEFAULT '1' NOT NULL,
        favorite smallint(5) unsigned DEFAULT '0' NOT NULL,
	tenant_id int(11) unsigned DEFAULT '0',
        template_type int(11) unsigned,
        template_object_type varchar(255) DEFAULT '' NOT NULL,
	template_object_items_per_page int,
	main_tags text,
 	sub_tags text,
	object_type varchar(255) DEFAULT '' NOT NULL,
 	crm_language int(11) unsigned,
        name varchar(255) DEFAULT '' NOT NULL,
        title varchar(255) DEFAULT '' NOT NULL,
        title_layout smallint(5) unsigned DEFAULT '0' NOT NULL,
	page_template text DEFAULT '' NOT NULL,
	template text DEFAULT '' NOT NULL,
        partial_before varchar(255) DEFAULT '' NOT NULL,
        partial_after varchar(255) DEFAULT '' NOT NULL,
	text_before text DEFAULT '' NOT NULL,
	text_after text DEFAULT '' NOT NULL,
	page_css_file varchar(255) DEFAULT '' NOT NULL,
	page_class varchar(255) DEFAULT '' NOT NULL,
	logos int(11) unsigned NOT NULL default '0',
        partial_header varchar(255) DEFAULT '' NOT NULL,
        partial_footer varchar(255) DEFAULT '' NOT NULL,
    	show_number tinyint(1) unsigned DEFAULT '0',
    	show_letter_date tinyint(1) unsigned DEFAULT '1',
    	show_sender tinyint(1) unsigned DEFAULT '0',
    	show_pp tinyint(1) unsigned DEFAULT '0',
    	show_mwst tinyint(1) unsigned DEFAULT '0',
	filename varchar(255) DEFAULT '' NOT NULL,
);


#
# Table structure for table 'tx_igcrmtemplate_domain_model_translate'
#
CREATE TABLE tx_igcrmtemplate_domain_model_translate (
        text_key varchar(255) NOT NULL,
        text_value text DEFAULT '' NOT NULL,
 	crm_language int(11) unsigned,
	tenant_id int(11) unsigned DEFAULT '0',
);
